/*
$Id:$
$Log:$
*/
/*
drop table TestTable ;
*/
/*
create table TypeNumber (Type varchar, TypeNumber integer);
*/

DELETE FROM TypeNumber where Type ='TestTable' ;

-- TestTable
create table TestTable (
  ObjectIdentifier char(16) not null,
  ObjectVersion Integer,
  String1 varchar(50),
  String2 varchar,
  String3 long varchar(8000),
  String4 char(5),
	Int1 integer,
	Int2 tinyint,
	Int3 smallint,
	Int4 numeric(6),
	Double1 float,
	Double2 real,
	Double3 decimal(10,2),
	Double4 double precision,
	Date1 date,
	Time1 time,
	TimeStamp1 timestamp,
	Binary1 binary,
	VarBinary1 varbinary,
	LongVarBinary1 long varbinary(1000),
	primary key (ObjectIdentifier)
);

GRANT ALL ON TestTable TO PUBLIC ;

insert TypeNumber values ( 'TestTable' , 601 );

select * from typeNumber where Type = 'TestTable'